import AtomInput from '@s-ui/react-atom-input';
import MoleculeDropdownList from '@s-ui/react-molecule-dropdown-list';
import MoleculeInputSelect from './MoleculeInputSelect.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var MoleculeSelectSingleSelection = function MoleculeSelectSingleSelection(props) {
  /* eslint-disable react/prop-types */
  var _props$value = props.value,
    value = _props$value === void 0 ? '' : _props$value,
    children = props.children,
    isOpen = props.isOpen,
    onToggle = props.onToggle,
    onChange = props.onChange,
    leftIcon = props.leftIcon,
    iconArrowDown = props.iconArrowDown,
    refMoleculeSelect = props.refMoleculeSelect,
    size = props.size,
    placeholder = props.placeholder,
    id = props.id,
    disabled = props.disabled,
    _props$optionsData = props.optionsData,
    optionsData = _props$optionsData === void 0 ? {} : _props$optionsData,
    required = props.required,
    selectSize = props.selectSize,
    tabIndex = props.tabIndex;
  var handleSelection = function handleSelection(ev, _ref) {
    var value = _ref.value;
    onChange(ev, {
      value: value
    });
    onToggle(ev, {
      isOpen: false
    });
    refMoleculeSelect && refMoleculeSelect.current && refMoleculeSelect.current.focus();
  };
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(MoleculeInputSelect, {
      disabled: disabled,
      id: id,
      isOpen: isOpen,
      value: optionsData[value] || '',
      onClick: onToggle,
      leftIcon: leftIcon,
      iconArrowDown: iconArrowDown,
      placeholder: placeholder,
      autoComplete: "off",
      required: required,
      size: selectSize,
      tabIndex: tabIndex,
      children: /*#__PURE__*/_jsx(AtomInput, {})
    }), /*#__PURE__*/_jsx(MoleculeDropdownList, {
      size: size,
      visible: isOpen,
      onSelect: handleSelection,
      value: value,
      children: children
    })]
  });
};
MoleculeSelectSingleSelection.displayName = 'MoleculeSelectSingleSelection';
MoleculeSelectSingleSelection.defaultProps = {
  value: ''
};
export default MoleculeSelectSingleSelection;